# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/mediatek.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: MediaTek SoC based Platforms

maintainers:
  - Sean Wang <sean.wang@mediatek.com>
  - Matthias Brugger <matthias.bgg@gmail.com>
description: |
  Boards with a MediaTek SoC shall have the following properties.

properties:
  $nodename:
    const: '/'
  compatible:
    oneOf:
      # Sort by SoC (last) compatible, then board compatible
      - items:
          - enum:
              - mediatek,mt2701-evb
          - const: mediatek,mt2701

      - items:
          - enum:
              - mediatek,mt2712-evb
          - const: mediatek,mt2712
      - items:
          - enum:
              - mediatek,mt6580-evbp1
          - const: mediatek,mt6580
      - items:
          - enum:
              - prestigio,pmt5008-3g
          - const: mediatek,mt6582
      - items:
          - enum:
              - fairphone,fp1
              - mundoreader,bq-aquaris5
          - const: mediatek,mt6589
      - items:
          - enum:
              - mediatek,mt6592-evb
          - const: mediatek,mt6592
      - items:
          - enum:
              - mediatek,mt6755-evb
          - const: mediatek,mt6755
      - items:
          - enum:
              - mediatek,mt6765-evb
          - const: mediatek,mt6765
      - items:
          - enum:
              - mediatek,mt6779-evb
          - const: mediatek,mt6779
      - items:
          - enum:
              - mediatek,mt6795-evb
              - sony,xperia-m5
          - const: mediatek,mt6795
      - items:
          - enum:
              - archermind,mt6797-x20-dev
              - mediatek,mt6797-evb
          - const: mediatek,mt6797
      - items:
          - enum:
              - bananapi,bpi-r64
              - mediatek,mt7622-rfb1
          - const: mediatek,mt7622
      - items:
          - enum:
              - mediatek,mt7623a-rfb-emmc
              - mediatek,mt7623a-rfb-nand
              - mediatek,mt7623n-rfb-emmc
              - bananapi,bpi-r2
          - const: mediatek,mt7623

      - items:
          - enum:
              - mediatek,mt7629-rfb
          - const: mediatek,mt7629
      - items:
          - enum:
              - cudy,wr3000-v1
              - openwrt,one
              - xiaomi,ax3000t
          - const: mediatek,mt7981b
      - items:
          - enum:
              - acelink,ew-7886cax
              - bananapi,bpi-r3
              - bananapi,bpi-r3mini
              - mediatek,mt7986a-rfb
          - const: mediatek,mt7986a
      - items:
          - enum:
              - mediatek,mt7986b-rfb
          - const: mediatek,mt7986b
      - items:
          - enum:
              - bananapi,bpi-r4
          - const: mediatek,mt7988a
      - items:
          - enum:
              - mediatek,mt8127-moose
          - const: mediatek,mt8127
      - items:
          - enum:
              - mediatek,mt8135-evbp1
          - const: mediatek,mt8135
      - items:
          - enum:
              - mediatek,mt8167-pumpkin
          - const: mediatek,mt8167
      - description: Google Elm (Acer Chromebook R13)
        items:
          - const: google,elm-rev8
          - const: google,elm-rev7
          - const: google,elm-rev6
          - const: google,elm-rev5
          - const: google,elm-rev4
          - const: google,elm-rev3
          - const: google,elm
          - const: mediatek,mt8173
      - description: Google Hana (Lenovo Chromebook N23 Yoga, C330, 300e,...)
        items:
          - const: google,hana-rev6
          - const: google,hana-rev5
          - const: google,hana-rev4
          - const: google,hana-rev3
          - const: google,hana
          - const: mediatek,mt8173
      - description: Google Hana rev7 (Poin2 Chromebook 11C)
        items:
          - const: google,hana-rev7
          - const: mediatek,mt8173
      - items:
          - enum:
              - mediatek,mt8173-evb
          - const: mediatek,mt8173
      - description: Google Burnet (HP Chromebook x360 11MK G3 EE)
        items:
          - const: google,burnet
          - const: mediatek,mt8183
      - description: Google Cozmo (Acer Chromebook 314)
        items:
          - const: google,cozmo
          - const: mediatek,mt8183
      - description: Google Damu (ASUS Chromebook Flip CM3)
        items:
          - const: google,damu
          - const: mediatek,mt8183
      - description: Google Fennel (Lenovo IdeaPad 3 Chromebook)
        items:
          - enum:
              - google,fennel-sku0
              - google,fennel-sku1
              - google,fennel-sku2
              - google,fennel-sku6
              - google,fennel-sku7
          - const: google,fennel
          - const: mediatek,mt8183
      - description: Google Juniper (Acer Chromebook Spin 311) / Kenzo (Acer Chromebook 311)
        items:
          - enum:
              - google,juniper-sku16
              - google,juniper-sku17
          - const: google,juniper
          - const: mediatek,mt8183
      - description: Google Kakadu (ASUS Chromebook Detachable CM3)
        items:
          - const: google,kakadu-rev3
          - const: google,kakadu-rev2
          - const: google,kakadu
          - const: mediatek,mt8183
      - description: Google Kakadu (ASUS Chromebook Detachable CM3)
        items:
          - const: google,kakadu-rev3-sku22
          - const: google,kakadu-rev2-sku22
          - const: google,kakadu
          - const: mediatek,mt8183
      - description: Google Kappa (HP Chromebook 11a)
        items:
          - const: google,kappa
          - const: mediatek,mt8183
      - description: Google Katsu (ASUS Chromebook Detachable CZ1)
        items:
          - enum:
              - google,katsu-sku32
              - google,katsu-sku38
          - const: google,katsu
          - const: mediatek,mt8183
      - description: Google Kodama (Lenovo 10e Chromebook Tablet)
        items:
          - enum:
              - google,kodama-sku16
              - google,kodama-sku272
              - google,kodama-sku288
              - google,kodama-sku32
          - const: google,kodama
          - const: mediatek,mt8183
      - description: Google Krane (Lenovo IdeaPad Duet, 10e,...)
        items:
          - enum:
              - google,krane-sku0
              - google,krane-sku176
          - const: google,krane
          - const: mediatek,mt8183
      - description: Google Makomo (Lenovo 100e Chromebook 2nd Gen MTK 2)
        items:
          - enum:
              - google,makomo-sku0
              - google,makomo-sku1
          - const: google,makomo
          - const: mediatek,mt8183
      - description: Google Pico (Acer Chromebook Spin 311)
        items:
          - enum:
              - google,pico-sku1
              - google,pico-sku2
          - const: google,pico
          - const: mediatek,mt8183
      - description: Google Willow (Acer Chromebook 311 C722/C722T)
        items:
          - enum:
              - google,willow-sku0
              - google,willow-sku1
          - const: google,willow
          - const: mediatek,mt8183
      - items:
          - enum:
              - mediatek,mt8183-evb
          - const: mediatek,mt8183
      - items:
          - enum:
              - mediatek,mt8183-pumpkin
          - const: mediatek,mt8183
      - description: Google Chinchou (Asus Chromebook CZ1104CM2A/CZ1204CM2A)
        items:
          - const: google,chinchou-sku0
          - const: google,chinchou-sku2
          - const: google,chinchou-sku4
          - const: google,chinchou-sku5
          - const: google,chinchou
          - const: mediatek,mt8186
      - description: Google Chinchou (Asus Chromebook CZ1104FM2A/CZ1204FM2A/CZ1104CM2A/CZ1204CM2A)
        items:
          - const: google,chinchou-sku1
          - const: google,chinchou-sku3
          - const: google,chinchou-sku6
          - const: google,chinchou-sku7
          - const: google,chinchou-sku17
          - const: google,chinchou-sku20
          - const: google,chinchou-sku22
          - const: google,chinchou-sku23
          - const: google,chinchou
          - const: mediatek,mt8186
      - description: Google Chinchou360 (Asus Chromebook CZ1104FM2A/CZ1204FM2A Flip)
        items:
          - const: google,chinchou-sku16
          - const: google,chinchou-sku18
          - const: google,chinchou-sku19
          - const: google,chinchou-sku21
          - const: google,chinchou
          - const: mediatek,mt8186
      - description: Google Magneton (Lenovo IdeaPad Slim 3 Chromebook (14M868))
        items:
          - const: google,steelix-sku393219
          - const: google,steelix-sku393216
          - const: google,steelix
          - const: mediatek,mt8186
      - description: Google Magneton (Lenovo IdeaPad Slim 3 Chromebook (14M868))
        items:
          - const: google,steelix-sku393220
          - const: google,steelix-sku393217
          - const: google,steelix
          - const: mediatek,mt8186
      - description: Google Magneton (Lenovo IdeaPad Slim 3 Chromebook (14M868))
        items:
          - const: google,steelix-sku393221
          - const: google,steelix-sku393218
          - const: google,steelix
          - const: mediatek,mt8186
      - description: Google Rusty (Lenovo 100e Chromebook Gen 4)
        items:
          - const: google,steelix-sku196609
          - const: google,steelix-sku196608
          - const: google,steelix
          - const: mediatek,mt8186
      - description: Google Starmie (ASUS Chromebook Enterprise CM30 (CM3001))
        items:
          - const: google,starmie-sku0
          - const: google,starmie-sku2
          - const: google,starmie-sku3
          - const: google,starmie
          - const: mediatek,mt8186
      - description: Google Starmie (ASUS Chromebook Enterprise CM30 (CM3001))
        items:
          - const: google,starmie-sku1
          - const: google,starmie-sku4
          - const: google,starmie
          - const: mediatek,mt8186
      - description: Google Steelix (Lenovo 300e Yoga Chromebook Gen 4)
        items:
          - enum:
              - google,steelix-sku131072
              - google,steelix-sku131073
          - const: google,steelix
          - const: mediatek,mt8186
      - description: Google Tentacruel (ASUS Chromebook CM14 Flip CM1402F)
        items:
          - const: google,tentacruel-sku262147
          - const: google,tentacruel-sku262146
          - const: google,tentacruel-sku262145
          - const: google,tentacruel-sku262144
          - const: google,tentacruel
          - const: mediatek,mt8186
      - description: Google Tentacruel (ASUS Chromebook CM14 Flip CM1402F)
        items:
          - const: google,tentacruel-sku262151
          - const: google,tentacruel-sku262150
          - const: google,tentacruel-sku262149
          - const: google,tentacruel-sku262148
          - const: google,tentacruel
          - const: mediatek,mt8186
      - description: Google Tentacool (ASUS Chromebook CM14 CM1402C)
        items:
          - const: google,tentacruel-sku327681
          - const: google,tentacruel
          - const: mediatek,mt8186
      - description: Google Tentacool (ASUS Chromebook CM14 CM1402C)
        items:
          - const: google,tentacruel-sku327683
          - const: google,tentacruel
          - const: mediatek,mt8186
      - description: Google Voltorb (Acer Chromebook 311 C723/C732T)
        items:
          - enum:
              - google,voltorb-sku589824
              - google,voltorb-sku589825
          - const: google,voltorb
          - const: mediatek,mt8186
      - items:
          - enum:
              - mediatek,mt8186-evb
          - const: mediatek,mt8186
      - description: Google Ciri (Lenovo Chromebook Duet (11", 9))
        items:
          - enum:
              - google,ciri-sku0
              - google,ciri-sku1
              - google,ciri-sku2
              - google,ciri-sku3
              - google,ciri-sku4
              - google,ciri-sku5
              - google,ciri-sku6
              - google,ciri-sku7
          - const: google,ciri
          - const: mediatek,mt8188
      - items:
          - enum:
              - mediatek,mt8188-evb
          - const: mediatek,mt8188
      - description: Google Hayato
        items:
          - const: google,hayato-rev1
          - const: google,hayato
          - const: mediatek,mt8192
      - description: Google Spherion (Acer Chromebook 514)
        items:
          - const: google,spherion-rev3
          - const: google,spherion-rev2
          - const: google,spherion-rev1
          - const: google,spherion-rev0
          - const: google,spherion
          - const: mediatek,mt8192
      - items:
          - enum:
              - mediatek,mt8192-evb
          - const: mediatek,mt8192
      - description: Acer Tomato (Acer Chromebook Spin 513 CP513-2H)
        items:
          - enum:
              - google,tomato-rev2
              - google,tomato-rev1
          - const: google,tomato
          - const: mediatek,mt8195
      - description: Acer Tomato rev3 - 4 (Acer Chromebook Spin 513 CP513-2H)
        items:
          - const: google,tomato-rev4
          - const: google,tomato-rev3
          - const: google,tomato
          - const: mediatek,mt8195
      - description: HP Dojo sku1, 3, 5, 7 (HP Chromebook x360 13b-ca0002sa)
        items:
          - const: google,dojo-sku7
          - const: google,dojo-sku5
          - const: google,dojo-sku3
          - const: google,dojo-sku1
          - const: google,dojo
          - const: mediatek,mt8195
      - items:
          - enum:
              - mediatek,mt8195-demo
              - mediatek,mt8195-evb
          - const: mediatek,mt8195
      - items:
          - enum:
              - mediatek,mt8365-evk
          - const: mediatek,mt8365
      - items:
          - enum:
              - mediatek,mt8370-evk
          - const: mediatek,mt8370
          - const: mediatek,mt8188
      - items:
          - enum:
              - mediatek,mt8390-evk
          - const: mediatek,mt8390
          - const: mediatek,mt8188
      - items:
          - enum:
              - kontron,3-5-sbc-i1200
              - mediatek,mt8395-evk
              - radxa,nio-12l
          - const: mediatek,mt8395
          - const: mediatek,mt8195
      - items:
          - enum:
              - mediatek,mt8516-pumpkin
          - const: mediatek,mt8516

additionalProperties: true

...
